/*******************************************************************************
 * FoxPlaceableWeaponActor generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxPlaceableWeaponActor extends SkeletalMeshActor
    native(Weapon)
    hidecategories(Navigation);

var() SkeletalMesh RecieverMesh;
var() SkeletalMesh MuzzleMesh;
var() SkeletalMesh BarrelMesh;
var() SkeletalMesh MagazineMesh;
var() SkeletalMesh GripMesh;
var() SkeletalMesh StockMesh;
var() SkeletalMesh ScopeMesh;
var export editinline SkeletalMeshComponent StockMeshComponent;
var export editinline SkeletalMeshComponent ScopeMeshComponent;
var export editinline SkeletalMeshComponent BarrelMeshComponent;
var export editinline SkeletalMeshComponent MagazineMeshComponent;
var export editinline SkeletalMeshComponent MuzzleMeshComponent;
var export editinline SkeletalMeshComponent GripMeshComponent;
var() string WeaponPreset;

// Export UFoxPlaceableWeaponActor::execBuildWeapon(FFrame&, void* const)
native function BuildWeapon();

// Export UFoxPlaceableWeaponActor::execGetMeshesFromPreset(FFrame&, void* const)
native function GetMeshesFromPreset(string PresetName);

defaultproperties
{
    begin object name=StockMeshComponent0 class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxPlaceableWeaponActor.StockMeshComponent0'
    StockMeshComponent=StockMeshComponent0
    begin object name=ScopeMeshComponent0 class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxPlaceableWeaponActor.ScopeMeshComponent0'
    ScopeMeshComponent=ScopeMeshComponent0
    begin object name=BarrelMeshComponent0 class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxPlaceableWeaponActor.BarrelMeshComponent0'
    BarrelMeshComponent=BarrelMeshComponent0
    begin object name=MagazineMeshComponent0 class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxPlaceableWeaponActor.MagazineMeshComponent0'
    MagazineMeshComponent=MagazineMeshComponent0
    begin object name=MuzzleMeshComponent0 class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxPlaceableWeaponActor.MuzzleMeshComponent0'
    MuzzleMeshComponent=MuzzleMeshComponent0
    begin object name=GripMeshComponent0 class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxPlaceableWeaponActor.GripMeshComponent0'
    GripMeshComponent=GripMeshComponent0
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__FoxPlaceableWeaponActor.SkeletalMeshComponent0.AnimNodeSeq0'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxPlaceableWeaponActor.MyLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__FoxPlaceableWeaponActor.SkeletalMeshComponent0'
    SkeletalMeshComponent=SkeletalMeshComponent0
    LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxPlaceableWeaponActor.MyLightEnvironment'
    FacialAudioComp=AudioComponent'Default__FoxPlaceableWeaponActor.FaceAudioComponent'
    Components(0)=DynamicLightEnvironmentComponent'Default__FoxPlaceableWeaponActor.MyLightEnvironment'
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__FoxPlaceableWeaponActor.SkeletalMeshComponent0.AnimNodeSeq0'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxPlaceableWeaponActor.MyLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__FoxPlaceableWeaponActor.SkeletalMeshComponent0'
    Components(1)=SkeletalMeshComponent0
    Components(2)=AudioComponent'Default__FoxPlaceableWeaponActor.FaceAudioComponent'
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__FoxPlaceableWeaponActor.SkeletalMeshComponent0.AnimNodeSeq0'
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxPlaceableWeaponActor.MyLightEnvironment'
    object end
    // Reference: SkeletalMeshComponent'Default__FoxPlaceableWeaponActor.SkeletalMeshComponent0'
    CollisionComponent=SkeletalMeshComponent0
}